/* -*- mode: Java; c-basic-offset: 4 -*- */
/*------------------------------------------------------------------------
 |  FILE            ReadmeDialog.java
 |  PART OF         WebWatcher - A web-page update monitor
 |  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 +----------------------------------------------------------------------*/

import java.awt.*;

import no.shhsoft.awt.*;

/**
 * 
 *
 * @author   Sverre H. Huseby
 *           &lt;<A HREF="mailto:shh@thathost.com">shh@thathost.com</A>&gt;
 * @version  $Id: ReadmeDialog.java,v 1.2 2000/09/20 19:39:24 sverrehu Exp $
 */
public class ReadmeDialog {
/*-----------------------------------------------------------------------+
 |  PRIVATE PART                                                         |
 +----------------------------------------------------------------------*/
    private String   readme = ""
        + "WebWatcher - a Web-page Update Monitor\n"
        + "======================================\n"
        + "\n"
        + "This program will help you keep an eye on interesting Web-pages. You\n"
        + "register a list of URLs you want to monitor, and WebWatcher checks for\n"
        + "changes whenever you ask it to, or at given intervals. WebWatcher\n"
        + "bases it's monitoring on checksums. A page is said to be changed if\n"
        + "the checksum generated for the page is different from when the page\n"
        + "was last marked as seen by the user.\n"
        + "\n"
        + "Note: If the site you are interested in contains frames, the file\n"
        + "referenced by the site's URL will typically be a small file that only\n"
        + "points to the files containing the actual information. In such cases\n"
        + "you should tell WebWatcher the URL of the _real_ files, not the one\n"
        + "that just sets up the frames. The latter file will typically remain\n"
        + "unchanged. To find the real files, view the source (HTML-code) of the\n"
        + "frame file in your favorite browser, and locate the filenames it\n"
        + "refers to.\n"
        + "\n"
        + "\n"
        + "Using WebWatcher\n"
        + "----------------\n"
        + "\n"
        + "The main part of WebWatcher's window is a list of sites that are\n"
        + "monitored. You add entries using \"New\" under the \"Page\" menu. One of\n"
        + "the fields you may specify for each entry, is the title. You do not\n"
        + "need to enter anything in this field, as WebWatcher will try to\n"
        + "extract the title from the document itselft, if it is not already\n"
        + "given. If WebWatcher for some reason is unable to extract the title,\n"
        + "it will show the URL instead.\n"
        + "\n"
        + "By default, the list is sorted, and changed pages are located on the\n"
        + "top. The program uses color codes to distinguish between changed and\n"
        + "unchanged pages:\n"
        + "\n"
        + "     Blue:   Page has been updated since it was last visited.\n"
        + "\n"
        + "     Magenta: Not changed.\n"
        + "\n"
        + "     Black:  Change status unknown. If a question mark appears to\n"
        + "             the left of the title, WebWatcher is currently\n"
        + "             working on the item. If a red X appears, the page\n"
        + "             could not be checked, possibly due to misspelling the\n"
        + "             URL, or to network problems.\n"
        + "\n"
        + "In the main window, you may mark a single entry by clicking on\n"
        + "it. From the \"Page\" menu, you can choose to mark the corresponding\n"
        + "page as seen, open it in a browser window, edit the URL, title, etc.,\n"
        + "or delete the entry from the list. From the \"View\" menu, you can\n"
        + "choose to refresh the marked entry.\n"
        + "\n"
        + "Alternatively, you may right-click on entries to pop up a menu that\n"
        + "shows available actions for the chosen item, and you may double-click\n"
        + "to cause the page to be shown in a browser. Pages that you tell\n"
        + "WebWatcher to open in a browser, are automatically marked as seen.\n"
        + "\n"
        + "To be able to open a page in your favorite browser, you must tell\n"
        + "WebWatcher the command to use to show the page. This is done from the\n"
        + "\"Preferences\" dialog box, beneath the \"View\" menu. The browser command\n"
        + "should contain the special code %u somewhere. This indicates to\n"
        + "WebWatcher where in the command it should place the URL. The default\n"
        + "setting for the browser depends on the operating system you\n"
        + "use. Please verify that the setting is correct.\n"
        + "\n"
        + "\n"
        + "Author\n"
        + "------\n"
        + "\n"
        + "The program is written by\n"
        + "\n"
        + "        Sverre H. Huseby        shh@thathost.com\n"
        + "        Lofthusvn. 11 B         http://shh.thathost.com/\n"
        + "        N-0587 Oslo\n"
        + "        Norway\n"
        + "\n"
        + "You can use and copy this for _free_, but I would be very happy if you\n"
        + "send me an E-mail and tell me that you use it. If you insist on paying\n"
        + "something, please donate some money to an organization that strives to\n"
        + "make the world a better place for everyone.\n"
        + "\n"
        + "I don't like bugs, so please help me removing them by reporting\n"
        + "whatever you find, or by fixing the source code. If you make any\n"
        + "useful changes, feel free to send your code to me for \"official\"\n"
        + "inclusion (if I like what I see).\n"
        ;

    private Panel setupPanel() {
        Panel    panel;
        TextArea text;

        panel = new Panel(new BorderLayout());

        text = new TextArea(readme, 30, 80, TextArea.SCROLLBARS_VERTICAL_ONLY);
        text.setFont(new Font("Courier", Font.PLAIN, 12));
        text.setEditable(false);
        panel.add(text);

        return panel;
    }

/*-----------------------------------------------------------------------+
 |  PUBLIC INTERFACE                                                     |
 +----------------------------------------------------------------------*/
    public ReadmeDialog(Frame parent) {
        ModalButtonDialog dlg;

        dlg = new ModalButtonDialog(parent, "README.txt", setupPanel(),
                                    ModalButtonDialog.CLOSE,
                                    ModalButtonDialog.CLOSE);
        dlg.show();
    }
}
