/* -*- mode: Java; c-basic-offset: 4 -*- */
/*------------------------------------------------------------------------
 |  FILE            AboutDialog.java
 |  PART OF         WebWatcher - A web-page update monitor
 |  WRITTEN BY      Sverre H. Huseby <shh@thathost.com>
 +----------------------------------------------------------------------*/

import java.awt.*;
import java.net.*;

import no.shhsoft.awt.*;

/**
 * 
 *
 * @author   Sverre H. Huseby
 *           &lt;<A HREF="mailto:shh@thathost.com">shh@thathost.com</A>&gt;
 * @version  $Id: AboutDialog.java,v 1.1.1.1 2000/10/03 12:41:13 lemire Exp $
 */
public class AboutDialog {
/*-----------------------------------------------------------------------+
 |  PRIVATE PART                                                         |
 +----------------------------------------------------------------------*/
    private String   aboutText =
              " WebWatcher 1.1.1 [2000-01-29] - a Web-page Update Monitor\n"
            + "\n"
            + " by Sverre H. Huseby, Norway\n"
            + " <shh@thathost.com>\n"
            + "\n"
            + " This program is free:\n"
            + "      Copy it and use it as you wish.";

    private Panel setupPanel() {
        Panel    panel;
        Panel    imagePanel;
        TextArea text;

        panel = new Panel(new BorderLayout());

        imagePanel = new Panel(new FlowLayout(FlowLayout.CENTER, 10, 10));
        imagePanel.add(new ImageCanvas("img/shapes.gif", 160, 100));
        panel.add(imagePanel, BorderLayout.WEST);

        text = new TextArea(aboutText, 7, 65, TextArea.SCROLLBARS_NONE);
        text.setEditable(false);
        panel.add(text, BorderLayout.CENTER);

        return panel;
    }

/*-----------------------------------------------------------------------+
 |  PUBLIC INTERFACE                                                     |
 +----------------------------------------------------------------------*/
    public AboutDialog(Frame parent) {
        ModalButtonDialog dlg;

        dlg = new ModalButtonDialog(parent, "About", setupPanel(),
                                    ModalButtonDialog.CLOSE,
                                    ModalButtonDialog.CLOSE);
        dlg.show();
    }
}
